org.apache.lucene.queryParser.standard.nodes

## Class BooleanModifierNode

- java.lang.Object
- - org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryParser.core.nodes.ModifierQueryNode
    - - org.apache.lucene.queryParser.standard.nodes.BooleanModifierNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, QueryNode

      public class BooleanModifierNode
      extends ModifierQueryNode

  A `BooleanModifierNode` has the same behaviour as `ModifierQueryNode`, it only indicates that this modifier was added by `GroupQueryNodeProcessor` and not by the user.
  See Also:
    `ModifierQueryNode`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryParser.core.nodes.ModifierQueryNode

      `ModifierQueryNode.Modifier`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanModifierNode(QueryNode node, ModifierQueryNode.Modifier mod)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryParser.core.nodes.ModifierQueryNode

      `cloneTree, getChild, getModifier, setChild, toQueryString, toString`

    - ### Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanModifierNode

          public BooleanModifierNode(QueryNode node,
                                     ModifierQueryNode.Modifier mod)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.